Subject: Re: bug#63261: Recent changes to git config cause errors for non-committers
From: Maxim Cournoyer <[email-masked]>
To: Brian Cully via Bug reports for GNU Guix <[email-masked]>
Cc: [email-masked], Brian Cully <[email-masked]>
Date: Sat, 06 May 2023 23:34:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Brian Cully via Bug reports for GNU Guix <[email-masked]> writes:

> I've run into two issues with the recent changes to git config
> integration:
>
> 1) All commits must now be signed, even if you're not a
> committer. This breaks just tons of things, including rebasing. I'm
> not sure how to fix this without just disabling that configuration
> line altogether.
>
> 2) Some ‘make’ rules now require git to be installed so that ‘git
> config’ can add ‘etc/git/gitconfig’ to the local configuration. So,
> for instance, ‘guix shell --pure -D guix -- make’ will now fail. Calls
> to git should be prefixed with a test to see if there is a git
> executable in the path.

2. has been fixed (also by Ludovic, ah!).  I'm not sure a good solution
can be found for 1. but it seems reasonable to me that contributors
working on Guix learn to sign their commits with GnuPG; that way they
are on the right path to become a Guix committer, already getting up to
speed with the required practices.

Closing, but we can continue discussing it.

-- 
Thanks,
Maxim